Subject: Re: bug#55632: [PATCH] Add new user option project-vc-find-tracked-only

From: Dmitry Gutov <[email-masked]>
Date: Fri, 3 Jun 2022 02:45:19 +0300

On 02.06.2022 22:19, Eli Zaretskii wrote:
> Can we please tell more about what does "include untracked files"
> mean?  Include where and in what sense?

Has them considered to be part of the project. Which in practice means 
including them in a project's list of files. For the purposes for 
project-find-file, project-find-regexp, and all other commands that 
build on top of 'project-files'.

How would you phrase that better?

> Bonus points for explaining
> this without ever alluding to "backend", as that is not necessarily a
> user-level concept in this case.

The variable only affects a particular backend. It's only meaningful 
when there is a VCS anyway.

> Also, is it "VC project backend" or "Project's VC backend"?

I would say both mean the same thing, but the latter seems to be more 
unambiguous.